Redmine - Feature #28391
Add issue category filter and column to spent time queries
2018-03-21 09:53 - Casandra Popescu

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

Related issues:
Related to Redmine - Feature # 30346: Add "Target Version" to the list of "Av... Closed
Duplicated by Redmine - Feature # 13684: Timelog page with "category" Closed

Associated revisions

Revision 17249 - 2018-04-01 02:29 - Go MAEDA

Adds issue category filter to spent time queries (#28391).

Patch by Marius BALTEANU.

Revision 17250 - 2018-04-01 02:31 - Go MAEDA

Adds issue category column to spent time queries (#28391).

Patch by Marius BALTEANU.

History

#1 - 2018-03-21 09:54 - Marius BALTEANU

- Category changed from Issues filter to Time tracking

#2 - 2018-03-22 23:19 - Marius BALTEANU

- File 0001-adds-issue-category-filter-to-spent-time-queries.patch added

- File 0002-adds-issue-category-column-to-spent-time-queries.patch added

| agree that having the possibility to filter spent times after issue category is very useful.
| made two patches:

- attachment:0001-adds-issue-category-filter-to-spent-time-queries.patch

- attachment:0002-adds-issue-category-column-to-spent-time-queries.patch

First one implements this request and the second one adds the issue category to the columns list.

#3 - 2018-03-23 09:05 - Sebastian Paluch

It would be great if time log query would be derived from issue query and have same filtering capability.
#4 - 2018-03-29 08:48 - Go MAEDA

- Target version set to 4.1.0

The patch looks good to me and | think it is very natural to have a category filter on spent time page.

Setting target version to 4.1.0.

#5 - 2018-03-29 11:06 - Go MAEDA
- Duplicated by Feature #13684: Timelog page with "category" added

#6 - 2018-04-01 02:32 - Go MAEDA
- Status changed from New to Closed
- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed the patches. Thank you for improving Redmine.

#7 - 2018-04-01 03:05 - Go MAEDA

- Subject changed from Filter Spent Time by Issue category to Add issue category filter and column to spent time queries

#8 - 2018-04-01 14:50 - Go MAEDA
- Assignee set to Go MAEDA

#9 - 2019-11-04 02:32 - Go MAEDA
- Related to Feature #30346: Add "Target Version" to the list of "Available columns" in "Spent time" Tab added

Files
0001-adds-issue-category-filter-to-spent-time-queries.patch 3.24 KB 2018-03-22 Marius BALTEANU
0002-adds-issue-category-column-to-spent-time-queries.patch 3 KB 2018-03-22 Marius BALTEANU
